Listar webhooks
curl --request GET \
--url https://api.aideskbr.com/api/public/v1/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aideskbr.com/api/public/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.aideskbr.com/api/public/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"status": "<string>",
"event_types": [],
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "api_key_required",
"message": "API key ausente"
}
}{
"error": {
"code": "missing_scope",
"message": "Scope insuficiente"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded"
}
}Webhooks
Listar webhooks
Lista endpoints cadastrados (sem secret). Scope webhooks:manage.
GET
https://api.aideskbr.com
/
api
/
public
/
v1
/
webhooks
Listar webhooks
curl --request GET \
--url https://api.aideskbr.com/api/public/v1/webhooks \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aideskbr.com/api/public/v1/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.aideskbr.com/api/public/v1/webhooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"status": "<string>",
"event_types": [],
"created_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "api_key_required",
"message": "API key ausente"
}
}{
"error": {
"code": "missing_scope",
"message": "Scope insuficiente"
}
}{
"error": {
"code": "rate_limited",
"message": "Rate limit exceeded"
}
}Authorizations
bearerAuthapiKeyAuth
Authorization: Bearer ak_live_
⌘I